/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for WaveformPurposesOfReference
 */
public enum EnumCV_WaveformPurposesOfReference 
{
	// Waveform Purposes of Reference - CID 7004
		SIMULTANEOUS_DOPPLER_121301("121301"),
		SIMULTANEOUS_HEMODYNAMIC_121302("121302"),
		SIMULTANEOUS_ECG_121303("121303"),
		SIMULTANEOUS_VOICE_NARRATIVE_121304("121304"),
		SIMULTANEOUS_RESPIRATORY_WAVEFORM_121305("121305"),
		SIMULTANEOUS_ARTERIAL_PULSE_WAVEFORM_121306("121306"),
		SIMULTANEOUS_PHONOCARDIOGRAPHIC_WAVEFORM_121307("121307");

	private String value;
	
	EnumCV_WaveformPurposesOfReference(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
